Bug 222551 - Selecting HP LaserJet 6MP yields make and model ... 6P/6MP
Selecting HP LaserJet 6MP yields make and model ... 6P/6MP
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
Blocks: F11Target
  Show dependency treegraph
Reported: 2007-01-13 19:53 EST by Trever Adams
Modified: 2009-04-06 13:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-06 13:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trever Adams 2007-01-13 19:53:59 EST
Description of problem:

Version-Release number of selected component (if applicable):
This is current in rawhide and the latest versions in fc6.

How reproducible:
Every time

Steps to Reproduce:
1. Add a new printer.
2. Tell it to use HP LaserJet 6MP postscript driver
3. It will give a model of 6P/6MP
Actual results:
See #3 above

Expected results:
Should yield 6MP alone. If the printer shows up in the list as 6MP it should be
advertised by CUPS as 6MP. Even if it uses the same driver (see entire Epson Cxx
series) it should use the Make/Model selected in advertising/browsing.

Additional info:
This is extremely important and will help make it easier for those using Windows
with these printers to know what driver to select.
Comment 1 Tim Waugh 2007-01-15 09:26:59 EST
The PPD causing this is shipped with foomatic, and was provided by the
manufacturer.  Changing component.

The PPD name that gets displayed comes from the '*NickName' attribute in the
PPD.  One solution would be for this PPD to be split into '6P' and '6MP' versions.
Comment 2 Tim Waugh 2007-01-15 09:41:30 EST
Reported upstream.
Comment 3 Bug Zapper 2008-04-04 01:35:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-13 22:33:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Trever Adams 2008-07-08 15:15:19 EDT
I do not know if this is still a problem. It was a minor one as I dropped the
project that needed the exact name. Close if appropriate.
Comment 6 Bug Zapper 2008-11-25 20:52:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 7 Jon Stanley 2008-11-26 14:13:21 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 8 Trever Adams 2009-04-06 13:47:36 EDT
As noted, the the reason I needed the exact name no longer applies for me. No one else seems to need it. Marking closed.

Note You need to log in before you can comment on or make changes to this bug.